/* register_types.cpp */

#include "register_types.h"

#include "core/object/class_db.h"

#include "./RJNetworkNode.h"
#include "./RJAction.h"
#include "./RJSelector.h"
#include "./RJSensor.h"
#include "./RJSequenceAction.h"
#include "./RJUpdatable.h"

void initialize_rokojori_action_library_module( ModuleInitializationLevel p_level ) 
{
  if ( p_level != MODULE_INITIALIZATION_LEVEL_SCENE ) 
  {
    return;
  }

  ClassDB::register_class<RJNetworkNode>();
  ClassDB::register_class<RJAction>();
  ClassDB::register_class<RJSelector>();
  ClassDB::register_class<RJSensor>();
  ClassDB::register_class<RJSequenceAction>();
  ClassDB::register_class<RJUpdatable>();
}

void uninitialize_rokojori_action_library_module( ModuleInitializationLevel p_level ) 
{
  if ( p_level != MODULE_INITIALIZATION_LEVEL_SCENE ) 
  {
    return;
  }
  
}


